org.apache.el.util

## Class JreCompat

- java.lang.Object
- - org.apache.el.util.JreCompat

-     public class JreCompat
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JreCompat()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canAccess(Object base, AccessibleObject accessibleObject)` Is the accessibleObject accessible (as a result of appropriate module exports) on the provided instance?
    `static JreCompat` | `getInstance()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JreCompat

          public JreCompat()

  - ### Method Detail

    - #### getInstance

          public static JreCompat getInstance()

    - #### canAccess

          public boolean canAccess(Object base,
                          AccessibleObject accessibleObject)

      Is the accessibleObject accessible (as a result of appropriate module exports) on the provided instance?
      Parameters:
        `base` - The specific instance to be tested.
        `accessibleObject` - The method/field/constructor to be tested.
      Returns:
        {code true} if the AccessibleObject can be accessed otherwise {code false}

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.